// Copyright 2015-2016 Espressif Systems (Shanghai) PTE LTD
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
#include "dl_lib_matrix3d.h"

#include "esp_system.h"


#if defined(ARDUINO_ARCH_ESP32) && defined(CONFIG_ARDUHAL_ESP_LOG)
#include "esp32-hal-log.h"
#define TAG ""
#else
#include "esp_log.h"
static const char* TAG = "esp_jpg_decode";
#endif

dl_matrix3du_t *dl_matrix3du_alloc(int n, int w, int h, int c){
// /*
//  * @brief Allocate a 3D matrix with 8-bits items, the access sequence is NHWC
//  *
//  * @param n     Number of matrix3d, for filters it is out channels, for others it is 1
//  * @param w     Width of matrix3d
//  * @param h     Height of matrix3d
//  * @param c     Channel of matrix3d
//  * @return      3d matrix
//  */
//     /*int w; // Width
//     int h; // Height
//     int c; // Channel
//     int n; // Number, to record filter's out_channels. input and output must be 1
//     int stride;
//     uc_t *item;*/

	dl_matrix3du_t *im = NULL;
	im = (dl_matrix3du_t *) calloc(sizeof(dl_matrix3du_t), 1);
//   // im->w = w;
//   // im->h = h;
//   // im->c = c;
//   // im->n = n;
//   // im->stride = 0;
//   // im->item = (uc_t *) calloc(h*w*3, sizeof(uc_t));
	return im;
}

